//==============================================
//      File rconst.pas
//
//      Components library for Delphi and BCB++.
//      Resources.
//
//      Copyright 1998-2001 Polaris Software
//      http://members.xoom.com/PolarisSoft
//      mailto: PolarisLib@mail.ru
//==============================================
unit rConst;

{$I POLARIS.INC}
{$R RCTRLS.RES}

interface

ResourceString
// don't localize
  srHelpFile = 'PSCOMP.HLP';

// don't localize
  srPeriodGlyph = 'PERIOD_BTN';

  srEHConsts   = '<CONSTANTS>';
  srEHMessage  = '<MESSAGE>';
  srEHDefault  = '<DEFAULT>';
  srEHLogging  = '<LOGGING>';
  srWinErrorTitle = 'System error:';
  srWinErrorDesc  = 'Error %d: %s';
  srRangeErrorTitle= 'ut of bounds error:';
  srConvErrorTitle= 'Data convertion error:';
  srConvErrorMes  = '%s\r\rIf your data is valid,\rcontact technical support.';
  srUnkErrorTitle = 'Application error:';
  srUnkErrorMes   = '%s\r\rIf this error show any time,\rcontact technical support.';
  srUnkErrorDesc  = 'Error %s: %s';
  srLogError   = 'Logfile write error:\r%s';
  srEHUser     = ' User: %s, Workstation: %s';
  srEHProgram  = 'Application: %s (%s)';
  srEHForm     = 'Form: ';
  srEHControl  = 'Control: ';
  srEHSummary  = '&Summary <<';
  srEHDetail   = '&Details >>';

  srLaunchNotFound = 'File ''%s'' not found.';
  srLaunchNotExe   = 'File ''%s'' is not executable.';
  srLaunchNoWorkDir= 'Invalid work directory (%s).';

  srFormCancel = 'Data in form are changed.\nPress OK for cancel its changes.';
  srNewN = 'New';
  srNewM = 'New';
  srNewF = 'New';
  srNewP = 'New';
  sr0     = 'zero';
  sr1     = 'one,one,one,ones';
  sr2     = 'two';
  sr3     = 'three';
  sr4     = 'four';
  sr5     = 'five';
  sr6     = 'six';
  sr7     = 'seven';
  sr8     = 'eight';
  sr9     = 'nine';
  sr10    = 'ten';
  sr11    = 'eleven';
  sr12    = 'twelve';
  sr13    = 'thirteen';
  sr14    = 'fourteen';
  sr15    = 'fifteen';
  sr16    = 'sixteen';
  sr17    = 'seventeen';
  sr18    = 'eighteen';
  sr19    = 'nineteen';
  sr20    = 'twenty';
  sr30    = 'thirty';
  sr40    = 'forty';
  sr50    = 'thirty';
  sr60    = 'sixty';
  sr70    = 'seventy';
  sr80    = 'eighty';
  sr90    = 'ninety';
  sr100   = 'hundred';
  sr200   = 'two hundred';
  sr300   = 'three hundred';
  sr400   = 'four hundred';
  sr500   = 'five hundred';
  sr600   = 'six hundred';
  sr700   = 'seven hundred';
  sr800   = 'eight hundred';
  sr900   = 'nine hundred';

  // N - Neuter, M - Male, F - Female, P - Plural
  srGenders = 'NMFP';

  sr10_12 = 'M,trillion';
  sr10_9  = 'M,billion';
  sr10_6  = 'M,million';
  sr10_3  = 'F,thousand';

  srRuble  = 'M,ruble,rubles';
  srCopeck = 'F,copeck,copecks';
  srDollar = 'M,dollar,dollars';
  srCent   = 'M,cent,cents';

// don't localize
  srVIComp  = 'CompanyName';
  srVIFDesc = 'FileDescription';
  srVIFVer  = 'FileVersion';
  srVIInt   = 'InternalName';
  srVICprt  = 'LegalCopyright';
  srVITM    = 'LegalTrademarks';
  srVIFile  = 'OriginalFilename';
  srVIProd  = 'ProductName';
  srVIProdV = 'ProductVersion';
  srVIComm  = 'Comments';
  srVIEmail = 'E-Mail';
  srVIHome  = 'HomePage';

  srBkgndPic  = 'Choice background image';
  srBkgndHeit = 'Invalid value ''%d''';
  srBkgndBind = 'Owner may be only TForm or its descendant.';
  srBkgndSlit = '_Splitters';
  srBkgndTool = '_ToolBars';

  srPeriodErr  = 'Beginning date can''t later last period date.';
  srPeriodPrefix = 'during';
  srPeriodYear = '%s%d year';
  srPeriodHalfYear = '%s%s half year of %d year';
  srPeriodQrt  = '%s%s quarter of %d year';
  srPeriodMon  = '%s%s %d year';
  srPeriodDay  = '%s%s';
  srPeriodCustom = '%s - %s';
  srPeriodCustomPrfx = 'from %s to %s';

  srSepError = 'Align property can''t equal alNone or alClient for assign rspDivider.';

  srDLLLoadError = 'Library ''%s'' loading error.';
  srDLLChangeNameError = 'Can''t change name for loaded library.';
  srDLLCheckRequiredError = 'Required function ''%s'' not defined in this library.';
  srDLLCheckVersionError = 'Library "%s" with version %s or later required.';
  srDLLVersionFormatError = 'The library version format is invalid.';

  srPlugSetCaption = 'Plugins Setup';
  srPluginNotFound = '%s %s plugin not found.';

  srConnectRes  = 'CONNECT';  // don't localize
  srResourceValue  = 'Resource';
  srUserValue   = 'User';
  srConnectDialog = 'Connect';
  srConnectResource = '&Resource:';
  srConnectUser     = '&Login:';
  srConnectPassword = '&Password:';

  srChecked      = 'Checked %s';
  srCheckedMulti = 'Checked %s';

implementation
end.
